Bug 222589 - Review Request: dolphin - A file manager for KDE focusing on usability
Summary: Review Request: dolphin - A file manager for KDE focusing on usability
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: FE-ACCEPT 248800
TreeView+ depends on / blocked
 
Reported: 2007-01-14 22:42 UTC by Chitlesh GOORAH
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-27 20:13:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora-cvs-


Attachments (Terms of Use)

Description Chitlesh GOORAH 2007-01-14 22:42:39 UTC
Spec URL: http://tux.u-strasbg.fr/~chit/RPMS/dolphin.spec
SRPM URL: http://tux.u-strasbg.fr/~chit/RPMS/dolphin-0.8.1-1.src.rpm
Description:
Dolphin focuses on being only a file manager.
This approach allows to optimize the user
interface for the task of file management.

Comment 1 Parag AN(पराग) 2007-01-23 09:56:07 UTC
Got rpmlint warnings 
I: dolphin checking
W: dolphin dangling-relative-symlink /usr/share/doc/HTML/en/dolphin/common ../common
The relative symbolic link points nowhere.

/tmp/dolphin-0.8.1-1.fc7.i386.rpm.26367/usr/share/applications/dolphin.desktop:
warning: file contains key "DocPath", this key is currently reserved for use
within KDE, and should in the future KDE releases be prefixed by "X-"

Both warnings can be ignored for KDE package.

Comment 2 Parag AN(पराग) 2007-01-23 10:04:00 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM.
- rpmlint is NOT silent for RPMS.
+ source match upstream.
62f526d93df2fe255d04625cbc670000  dolphin-0.8.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code Not contents.
+ no static libraries present.
+ no .pc files present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available for installation.
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ icon cache scriptlets used.
+ Desktop file handled correctly.
+ file permissions are appropriate.
+ GUI app
APPROVED.

Any reason behind not installing translation files?


Comment 3 Chitlesh GOORAH 2007-01-27 15:11:45 UTC
Thanks for the review. I'll be uploading it once I'm back from holidays.
http://fedoraproject.org/wiki/Vacation

(In reply to comment #2)
> APPROVED.
> 
> Any reason behind not installing translation files?
> 

What do you mean?

In the spec file, I have already stated:
## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)


Comment 4 Parag AN(पराग) 2007-01-29 04:31:29 UTC
(In reply to comment #3)
> Thanks for the review. I'll be uploading it once I'm back from holidays.
> http://fedoraproject.org/wiki/Vacation
> 
> (In reply to comment #2)
> > APPROVED.
> > 
> > Any reason behind not installing translation files?
> > 
> 
> What do you mean?
> 
> In the spec file, I have already stated:
> ## File lists
> # locale's
> %find_lang %{name} || touch %{name}.lang
> # HTML (1.0)
> 

I mean i saw following line in SPEC
%{__rm} -f %{buildroot}%{_datadir}/locale/%{name}/LC_MESSAGES/%{name}.mo

Comment 5 Chitlesh GOORAH 2007-02-03 03:29:44 UTC
Because that was an incomplete german locale, whereas my dolphin package is
already shipping a complete german locale.

Comment 6 Chitlesh GOORAH 2007-04-11 13:07:24 UTC
Package Change Request
======================
Package Name: piklab
Updated Fedora Owners: cgoorah@yahoo.com.au, johan@x-tnd.be

Comment 7 Chitlesh GOORAH 2007-04-11 13:08:43 UTC
please discard comment #6

Package Change Request
======================
Package Name: dolphin
Updated Fedora Owners: cgoorah@yahoo.com.au, johan@x-tnd.be

Comment 8 Chitlesh GOORAH 2007-08-26 23:07:14 UTC
Package Change Request
======================
Package Name: dolphin
[Removed Branches: FC-6 FC-7 devel ]
[Removed Fedora Owners: cgoorah@yahoo.com.au ]

Reason: d3lphin will obsolete dolphin.

Comment 9 Kevin Fenzi 2007-08-27 16:41:42 UTC
Any reason you can't use the package end of life procedure?
http://fedoraproject.org/wiki/PackageMaintainers/PackageEndOfLife

I don't think we ever want to remove cvs branches if possible, so people can go
back and get history on what was available. 



Comment 10 Chitlesh GOORAH 2007-08-27 20:13:19 UTC
done.


Note You need to log in before you can comment on or make changes to this bug.